// VaxVoIPExV2.h: interface for the CVaxVoIPExV2 class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_VAXVOIPEXV2_H__ADFC1F24_AF30_48A3_9E64_2D8E4BBF0DD2__INCLUDED_)
#define AFX_VAXVOIPEXV2_H__ADFC1F24_AF30_48A3_9E64_2D8E4BBF0DD2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CVaxV4;

class CVaxVoIPExV2  
{

private:
	CVaxV4* m_pVaxV4;

public:
	CVaxVoIPExV2();
	~CVaxVoIPExV2();

public:	

	BOOL Initialize(UINT nListenPort);
	void UnInitialize();
	
	BOOL Connect(CString sToIP, UINT nToPort, DWORD dwTimeOut);
	BOOL Disconnect();
	
	BOOL SetSpkVolume(int nVolume);
	int GetSpkVolume();
	
	BOOL SetMicVolume(int nVolume);
	int GetMicVolume();

	BOOL AcceptIncomingCall(CString sIP, UINT nPort, DWORD dwTimeOut);
	BOOL CancelIncomingCall(CString sIP, UINT nPort);
	
	BOOL StartRecording();
	BOOL StopRecording();
	BOOL ResetRecording();
	BOOL SaveRecordingToFile(CString sFileName);

	BOOL AddInConf(CString sIP, UINT nPort, DWORD dwTimeOut);
	BOOL AcceptAddInConf(CString sIP, UINT nPort, DWORD dwTimeOut);
	BOOL CancelAddInConf(CString sIP, UINT nPort);


	BOOL SendTxtMsg(CString sTextMsg);
	
	DWORD GetLastError();
		
	BOOL SetLicenceKey(CString sLicenceKey);

	void DisableBusyState();
	void EnableBusyState();

	void DisableNotAvailableState();
	void EnableNotAvailableState();

	BOOL MuteMic(BOOL bMute);
	BOOL MuteSpk(BOOL bMute);

	DWORD GetOutBoundTotalBytes();
	DWORD GetInBoundTotalBytes();
	DWORD GetOutBoundDataRate();
	DWORD GetInBoundDataRate();
	
	virtual void OnStatusEvent(DWORD dwStatusCode, CString sIP, UINT nPort);
	virtual void OnTextEvent(CString sTextMsg, CString sIP, UINT nPort);
	virtual void OnConnectionEvent(CString sIP, UINT nPort);
	virtual void OnAddConferenceEvent(CString sIP, UINT nPort);


};

#endif // !defined(AFX_VAXVOIPEXV2_H__ADFC1F24_AF30_48A3_9E64_2D8E4BBF0DD2__INCLUDED_)
